{% extends "transport/base.html" %}

{% block title %}Statistiques{% endblock %}

{% block content %}
    {% include "stats/stat-form.html" %}
    {% include "transport/stats/tabs.html" with active=view.active %}

    <div class="row">
        <div class="col">
            <table class="table table-sm table-hover stat_table">
                <thead>
                    <tr><th></th>{% for month in months %}<th class="text-end">{{ month }}</th>{% endfor %}
                    <th class="text-end">Total</th></tr>
                </thead>
                <tbody>
                    <tr><td colspan="{{ months|length|add:2 }}" class="app_line">
                        <p class="lead">Transports{% if view.active == 'transports-ofas' %} (OFAS)
                            <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                                 title="Critères OFAS: Âge AVS et catégories Médico-thérapeutiques et Participatif-intégratif">{% endif %}
                        </p></td>
                    </tr>
                    <tr>
                        <td>{{ labels.0.label }}</td>
                        {% for month in months %}
                            <td class="num">{{ stats.clients|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num"></td>
                    </tr>
                    <tr>
                        <td>{{ labels.1.label }}</td>
                        {% for month in months %}
                            <td class="num">{{ stats.transports|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num">{{ stats.transports|get_item:'total' }}</td>
                    </tr>
                    <tr class="substats">
                        <td>dont {{ labels.2.label|lower }}</td>
                        {% for month in months %}
                            <td class="num">{{ stats.allers|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num">{{ stats.allers|get_item:'total' }}</td>
                    </tr>
                    <tr class="substats bottom">
                        <td>dont {{ labels.3.label|lower }}</td>
                        {% for month in months %}
                            <td class="num">{{ stats.allers_retours|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num">{{ stats.allers_retours|get_item:'total' }}</td>
                    </tr>
                    <tr><td colspan="{{ months|length|add:2 }}"></td></tr>
                    <tr class="substats">
                        <td>dont Médico-thérapeutique</td>
                        {% for month in months %}
                            <td class="num">{{ stats.medic|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num">{{ stats.medic|get_item:'total' }}</td>
                    </tr>
                    <tr class="substats">
                        <td>dont Participatif-intégratif</td>
                        {% for month in months %}
                            <td class="num">{{ stats.particip|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num">{{ stats.particip|get_item:'total' }}</td>
                    </tr>
                    <tr class="substats">
                        <td>dont Emplettes à deux</td>
                        {% for month in months %}
                            <td class="num">{{ stats.emplettes|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num">{{ stats.emplettes|get_item:'total' }}</td>
                    </tr>
                    <tr class="substats bottom">
                        <td>dont Enfants</td>
                        {% for month in months %}
                            <td class="num">{{ stats.enfants|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num">{{ stats.enfants|get_item:'total' }}</td>
                    </tr>
                    <tr>
                        <td>{{ labels.4.label }}
                            <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                                 title="Km déclarés par les chauffeurs, du départ de leur domicile au retour à leur domicile.">
                        </td>
                        {% for month in months %}
                            <td class="num">{{ stats.km_chauffeurs|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num">{{ stats.km_chauffeurs|get_item:'total' }}</td>
                    </tr>
                    <tr>
                        <td>{{ labels.5.label }}
                            <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                                 title="Frais de repas et autres frais divers (parking, etc.)."></td>
                        {% for month in months %}
                            <td class="num">{{ stats.frais_chauffeurs|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num">{{ stats.frais_chauffeurs|get_item:'total' }}</td>
                    </tr>
                    <tr>
                        <td>{{ labels.6.label }}</td>
                        {% for month in months %}
                            <td class="num">{{ stats.duree_chauffeurs|get_item:month|default_if_none:'-'|format_duree }}</td>
                        {% endfor %}
                        <td class="num">{{ stats.duree_chauffeurs|get_item:'total'|format_duree }}</td>
                    </tr>
                    <tr>
                        <td>{{ labels.7.label }}</td>
                        {% for month in months %}
                            <td class="num">{{ stats.total_factures|get_item:month|default_if_none:'-'|format_duree }}</td>
                        {% endfor %}
                        <td class="num">{{ stats.total_factures|get_item:'total'|format_duree }}</td>
                    </tr>
                </tbody>
            </table>
            <div class="text-right">
                <a class="btn-icon" title="Exporter la statistique" href=".?{% param_replace %}&export=1">
                    <img class="icon-ui" src="{% static 'ficons/tsv.svg' %}">
                </a>
            </div>
        </div>
    </div>
{% endblock %}
